## Class webapp

zeep::http::webapp

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/http/webapp.hpp>

    class webapp : public zeep::http::server, public zeep::http::basic_webapp {
    public:
      // construct/copy/destruct
      webapp(const std::string & = "http://www.cmbi.ru.nl/libzeep/ml",
             const boost::filesystem::path & = ".");
      ~webapp();

      // public member functions
      virtual void handle_request(const request &, reply &);
    };

## Description

webapp is derived from both zeep::http::server and basic_webapp, it is used to create interactive web applications.

### `webapp` public construct/copy/destruct

1.     webapp(const std::string & ns = "http://www.cmbi.ru.nl/libzeep/ml",
              const boost::filesystem::path & docroot = ".");

2.     ~webapp();

### `webapp` public member functions

1.     virtual void handle_request(const request & req, reply & rep);

   Dispatch and handle the request.